Summary Contacts
Quick start
Using the example below, replace “API_NYCKEL” with a bearer token that you create in the user portal
curl -X GET "https://api.ip1sms.com/v2/contacts/meta" \
-H "Authorization: Bearer API_NYCKEL" \
-H "Content-Type: application/json" \
call
Endpoint: v2/contacts/meta
Methodology: GET
This endpoint provides a summary of the contact data stored in the contact system.
Examples of calls
https://api.ip1sms.com/v2/contacts/meta
Response
Example of response data
{ "totalCount": 10, "labels": [ { "labelName": "all", "usageCount": 10 }, { "labelName": "Customer", "usageCount": 7 }, { "labelName": " Coworker", "usageCount": 3 } ], "properties": [ { "propertyName": "email", "usageCount": 9, "averageLength": 20, "maxLength": 26, "minLength": 16 }, { "propertyName": "firstName", "usageCount": 10, "averageLength": 5, "maxLength": 6, "minLength": 3 }, { "propertyName": "lastName", "usageCount": 10, " averageLength": 7, "maxLength": 12, "minLength": 5 }, { "propertyName": "department", "usageCount": 10, "averageLength": 4, "maxLength": 8, "minLength": 3 }, { "propertyName": "phoneNumber", "usageCount": 10, "averageLength": 12, "maxLength": 12, "minLength": 12 } ] }
Fields for response data
| Field name | Type | Description | Example |
|---|---|---|---|
| totalCount | Integer | The total number of contacts stored. | |
| labels | Array | One entry for each label used. | |
| labels.labelName | string | The total number of contacts stored. | |
| labels.usageCount | Integer | The total number of contacts stored. | |
| properties | Array | One record for each property used. | |
| properties.propertyName | String | The name/key of the property. | |
| properties.usageCount | Integer | The number of contacts that have a value for the property. | |
| properties.averageLength | Integer | The average length of the property among stored contacts. | |
| properties.maxLength | Integer | The longest value for the property among the stored contact. | |
| properties.minLength | Integer | The shortest value of the property among the stored contact. | |